Debian Bug report logs - #651960
ITP: php-http-request2 -- Provides an easy way to perform HTTP requests

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christian Welzel <gawain@camlann.de>

Date: Tue, 13 Dec 2011 16:00:01 UTC

Owned by: sascha@girrulat.de

Severity: wishlist

Fixed in version php-http-request2/2.1.1-4

Done: Thorsten Glaser <tg@mirbsd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#651960; Package wnpp. (Tue, 13 Dec 2011 16:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Welzel <gawain@camlann.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 13 Dec 2011 16:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Welzel <gawain@camlann.de>
To: submit@bugs.debian.org
Subject: php-http-request2
Date: Tue, 13 Dec 2011 16:56:31 +0100
Package: wnpp
Severity: wishlist


* Package name    : php-http-request2
  Version         : 2.0
  Upstream Author :
* URL             : http://pear.php.net/package/HTTP_Request2/
* License         : BSD
  Programming Lang: PHP
  Description     : Provides an easy way to perform HTTP requests.

PHP5 rewrite of HTTP_Request package (with parts of HTTP_Client). Provides
cleaner API and pluggable Adapters:
* Socket adapter, based on old HTTP_Request code,
* Curl adapter, wraps around PHP's cURL extension,
* Mock adapter, to use for testing packages dependent on HTTP_Request2.
Supports POST requests with data and file uploads, basic and digest
authentication, cookies, managing cookies across requests, proxies, gzip
and deflate encodings, redirects, monitoring the request progress with
Observers.


-- 
 MfG, Christian Welzel

  GPG-Key:     http://www.camlann.de/de/pgpkey.html
  Fingerprint: 4F50 19BF 3346 36A6 CFA9 DBDC C268 6D24 70A1 AD15




Changed Bug title to 'RFP: php-http-request2' from 'php-http-request2' Request was from Christian Welzel <gawain@camlann.de> to control@bugs.debian.org. (Tue, 13 Dec 2011 16:39:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: php-http-request2 -- <missing description>' from 'RFP: php-http-request2' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:13:25 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: php-http-request2 -- Provides an easy way to perform HTTP requests' from 'RFP: php-http-request2 -- <missing description>' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 12 Jan 2012 23:33:10 GMT) Full text and rfc822 format available.

Changed Bug title to ''ITP: php-http-request2 -- Provides an easy way to' from 'RFP: php-http-request2 -- Provides an easy way to perform HTTP requests' Request was from Sascha Girrulat <sascha@girrulat.de> to control@bugs.debian.org. (Tue, 05 Jun 2012 15:45:06 GMT) Full text and rfc822 format available.

Owner recorded as sascha@girrulat.de. Request was from Sascha Girrulat <sascha@girrulat.de> to control@bugs.debian.org. (Tue, 05 Jun 2012 15:45:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: php-http-request2 -- Provides an easy way to' from ''ITP: php-http-request2 -- Provides an easy way to' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 08 Jun 2012 18:03:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 26 Aug 2012 20:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: php-http-request2 -- Provides an easy way to perform HTTP requests' from 'ITP: php-http-request2 -- Provides an easy way to' Request was from "Jeremy L. Gaddis" <jlgaddis@gnu.org> to control@bugs.debian.org. (Tue, 25 Dec 2012 18:57:03 GMT) Full text and rfc822 format available.

Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Fri, 06 Sep 2013 09:03:08 GMT) Full text and rfc822 format available.

Notification sent to Christian Welzel <gawain@camlann.de>:
Bug acknowledged by developer. (Fri, 06 Sep 2013 09:03:08 GMT) Full text and rfc822 format available.

Message #26 received at 651960-close@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 651960-close@bugs.debian.org
Subject: Bug#651960: fixed in php-http-request2 2.1.1-4
Date: Fri, 06 Sep 2013 09:01:46 +0000
Source: php-http-request2
Source-Version: 2.1.1-4

We believe that the bug you reported is fixed in the latest version of
php-http-request2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651960@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Glaser <tg@mirbsd.de> (supplier of updated php-http-request2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA384

Format: 1.8
Date: Thu, 29 Aug 2013 14:46:38 +0200
Source: php-http-request2
Binary: php-http-request2
Architecture: source all
Version: 2.1.1-4
Distribution: unstable
Urgency: low
Maintainer: Sascha Girrulat <sascha@girrulat.de>
Changed-By: Thorsten Glaser <tg@mirbsd.de>
Description: 
 php-http-request2 - Provides an easy way to perform HTTP requests
Closes: 651960
Changes: 
 php-http-request2 (2.1.1-4) unstable; urgency=low
 .
   * [578bb68] set section to php
   * [18c2168] remove needless d/dirs
   * [d02113a] remove needless and empty directory
   * [92a00d0] fix bsd license block at d/copyright
   * [21a41ad] remove needles d/README.Debian
   * [1b29308] remove dh-make template header from d/rules
   * (Closes: #651960)
Checksums-Sha1: 
 2d1d4be596ec796939124ded96d12df82d9142ca 2050 php-http-request2_2.1.1-4.dsc
 3398b4e645026638daf5ddbc83b3c01df8abd97c 99151 php-http-request2_2.1.1.orig.tar.gz
 de74c64968e9f4d36a6e37de2890521f46dc09ca 3742 php-http-request2_2.1.1-4.debian.tar.gz
 d0c0e7bcb65fb882532782e6ae3621a9f4996140 92824 php-http-request2_2.1.1-4_all.deb
Checksums-Sha256: 
 e7a502662347602fb1c0c2252b8ce42353d415cc065db0a58ed9a4160f10731c 2050 php-http-request2_2.1.1-4.dsc
 6f809dcdf3912847d43068791a0565b9e69f2bf41200aa23aad436498c665918 99151 php-http-request2_2.1.1.orig.tar.gz
 5025407182d0d2cf48f97aa686c1ca8054280e2d172d163a18bf887c1662b91c 3742 php-http-request2_2.1.1-4.debian.tar.gz
 f085bec913a12c1c6d27c011b0713e0dde13eabf4c199b5dfb8ac9a4811199c5 92824 php-http-request2_2.1.1-4_all.deb
Files: 
 147a6e2c0ca656e2df3118a35f9f4ce6 2050 php optional php-http-request2_2.1.1-4.dsc
 c068e245efcb5217da36a3d042839dd2 99151 php optional php-http-request2_2.1.1.orig.tar.gz
 ddb0dde7c5ae02ed1b3980247ea47648 3742 php optional php-http-request2_2.1.1-4.debian.tar.gz
 9d4a658c23360483ff9940e483b86b63 92824 php optional php-http-request2_2.1.1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (MirBSD)

iQIcBAEBCQAGBQJSH2QxAAoJEHa1NLLpkAfgIGAP/1m8L93vEUxCFxjjfovfKG7h
QJzjInrvht1dI+2obijDHriJYKLvtuDyvr9zHjoW8hIxhVNyTV+1VzTOhcP8BXFR
DGX4TQuGQwGv4l16VMl7vY06S0/6UE0Jy+AHYjKck0HX/jQLg7hUkUcYZrxsrKby
1hv7AiYwYX16C4Kkav8vD99uE8MXD2Tq0u5nuAWcv535QZEHgrdS7ZnY9uLUjCS4
NGZi9heHt+1rCsLJ2OfOjxBX9SFMJ4GRNWqc30nPZ70BSuNJYXGqmVrNS8I87RB4
cVvtH/fDOhM5biKk/erb1MDwee/eOxlIZp7R+8qOHT5FpHKhGvFcN+Hqf2MSmLZ5
5D5lwTyFF6qkDLiDB7ArSbRZwgcW6N/BL50Xb2AXCvnc8alK46hba/f1DDjsixDf
zGWok0VKRWudntBQVQNFRnMPrnjpagfh5V0XsnafW7lrQBQtS1eYs7G6eOH5NawI
hRsooVzifbAJDIqHGlxm5YxAJJysrIvgLUPaxLMSUYnTeyWW7v80/jPTSiRJQFqM
N52SFl8VHou2CryWS54hlZcvBkmB0DmE7Eo/f618jl0ENxSDNdUChFuZRb6XzNA7
uHzIhPSlfEu6pqraAWroUHebE78CwSY/2B437coqc/5/dVJSqutM8y24VUCIt7lM
sZHBiTpcuBQAhZkQgQtZ
=f+Lr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Oct 2013 07:35:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:39:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.